REM
REM
REM

  SH$ = "BU10L10D20R20U20L10"
  SP = 5
  RL = 640
  DL = 400

SCREEN 12
DO

KE$ = INKEY$

IF RI = 0 THEN X = X + SP: IF X > (RL) THEN RI = 1
IF RI = 1 THEN X = X - SP: IF X < 1 THEN RI = 0
IF DN = 0 THEN Y = Y + SP: IF Y > (DL) THEN DN = 1
IF DN = 1 THEN Y = Y - SP: IF Y < 1 THEN DN = 0


 PSET (X, Y), 0
 TA = TA + 1: IF TA > 360 THEN TA = 1
  C = C + 1: IF C > 16 THEN C = 0
 DRAW "TA" + STR$(TA) + "C" + STR$(C) + SH$
  PAINT (X, Y), C



LOOP UNTIL KE$ = CHR$(27)

